This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 720057 - (CVE-2009-5081) CVE-2009-5081 groff: roff2.pl and groffer.pl use easy-to-guess temporary file names
CVE-2009-5081 groff: roff2.pl and groffer.pl use easy-to-guess temporary file...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20090814,reported=20110630,sou...
: Security
Depends On: 720060
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 17:29 EDT by Vincent Danen
Modified: 2014-11-20 15:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 14:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-07-08 17:29:31 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-5081 to
the following vulnerability:

Name: CVE-2009-5081
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-5081
Assigned: 20110630
Reference: http://openwall.com/lists/oss-security/2009/08/14/4
Reference: http://openwall.com/lists/oss-security/2009/08/14/5
Reference: http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/groff/groff-1.20.1-owl-tmp.diff
Reference: http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/groff/groff-1.20.1-owl-tmp.diff.diff?r1=1.1;r2=1.2;f=h

The (1) config.guess, (2) contrib/groffer/perl/groffer.pl, and (3)
contrib/groffer/perl/roff2.pl scripts in GNU troff (aka groff) 1.21
and earlier use an insufficient number of X characters in the template
argument to the tempfile function, which makes it easier for local
users to overwrite arbitrary files via a symlink attack on a temporary
file, a different vulnerability than CVE-2004-0969.


Statement:

Not vulnerable. This issue did not affect the versions of groff as shipped with
Red Hat Enterprise Linux 4, 5, or 6.
Comment 1 Vincent Danen 2011-07-08 17:37:18 EDT
Created groff tracking bugs for this issue

Affects: fedora-all [bug 720060]
Comment 2 Fedora Update System 2012-06-07 19:01:31 EDT
groff-1.21-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-06-07 19:04:07 EDT
groff-1.21-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-06-07 19:08:41 EDT
groff-1.21-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.